aboutsummaryrefslogtreecommitdiff
path: root/api/tests/announce_zblock.sh
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2024-03-01 02:47:10 +0200
committerkaotisk <kaotisk@arching-kaos.org>2024-03-01 02:47:10 +0200
commit6cb0efc1abeccd8f6a9c7ca7f209ff22c42341bd (patch)
tree17d514ffe79223d303229da97f114eebb4f3f052 /api/tests/announce_zblock.sh
parent11cd4029ee6e1e5368be22742827dba1547cfc71 (diff)
downloadarching-kaos-tools-6cb0efc1abeccd8f6a9c7ca7f209ff22c42341bd.tar.gz
arching-kaos-tools-6cb0efc1abeccd8f6a9c7ca7f209ff22c42341bd.tar.bz2
arching-kaos-tools-6cb0efc1abeccd8f6a9c7ca7f209ff22c42341bd.zip
Renamed functions and routes
receive* -> announce* szbk -> /v0/announce/zblock szch -> /v0/announce/zchain
Diffstat (limited to 'api/tests/announce_zblock.sh')
-rwxr-xr-xapi/tests/announce_zblock.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/api/tests/announce_zblock.sh b/api/tests/announce_zblock.sh
new file mode 100755
index 0000000..be34930
--- /dev/null
+++ b/api/tests/announce_zblock.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+PROGRAM="$(basename $0)"
+printf '[%s]\n' "$PROGRAM"
+printf "\t01:\tendpoint with valid data"
+curl http://127.0.0.1:8610/v0/announce/zblock --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t02:\tendpoint with invalid data"
+curl http://127.0.0.1:8610/v0/announce/zblock --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'sdfas"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t03:\tendpoint no data"
+curl http://127.0.0.1:8610/v0/announce/zblock --header 'Content-Type: application/json' --data-raw '{"zblock":""}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"